Get Invoice - Flex Documentation

Get Invoice

cURL

curl --request GET \
  --url https://api.withflex.com/v1/invoices/{id} \
  --header 'Authorization: Bearer <token>'

Python

import requests

url = "https://api.withflex.com/v1/invoices/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)

JavaScript (Fetch)

const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.withflex.com/v1/invoices/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP




Response Codes

Sample Response

{
  "invoice": {
    "invoice_id": "fin_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
    "total": 2500,
    "amount_due": 2500,
    "amount_paid": 2500,
    "charge": "fch_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
    "period_end": "string",
    "period_start": "string",
    "paid_at": "string",
    "status": "draft",
    "collection_method": "charge_automatically",
    "test_mode": false,
    "metadata": {
      "order_id": "8842",
      "channel": "shopify"
    },
    "created_at": "2026-06-15T14:30:00Z"
  }
}

Error Response

{
  "code": "string",
  "detail": "string"
}

Authorization

Authorization: string, header, required
Use a Bearer token to access this API.

Path Parameters

Query Parameters

Response Description

Invoice Object Example

{
  "invoice_id": "fin_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
  "total": 2500,
  "amount_due": 2500,
  "amount_paid": 2500,
  "payment_intent": "fpi_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
  "charge": "fch_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
  "customer": "fcus_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
  "period_end": "string",
  "period_start": "string",
  "subscription": "fsub_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
  "paid_at": "string",
  "status": "draft",
  "collection_method": "charge_automatically",
  "test_mode": false,
  "metadata": { "order_id": "8842", "channel": "shopify" },
  "created_at": "2026-06-15T14:30:00Z"
}